cpw.mods.fml.common.network

## Class EntitySpawnAdjustmentPacket

- java.lang.Object
- - cpw.mods.fml.common.network.FMLPacket
  - - cpw.mods.fml.common.network.EntitySpawnAdjustmentPacket

-     public class EntitySpawnAdjustmentPacket
      extends FMLPacket

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `entityId`
    `int` | `serverX`
    `int` | `serverY`
    `int` | `serverZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitySpawnAdjustmentPacket()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FMLPacket` | `consumePacket(byte[] data)`
    `void` | `execute(INetworkManager network, FMLNetworkHandler handler, NetHandler netHandler, String userName)`
    `byte[]` | `generatePacket(Object... data)`

    - ### Methods inherited from class cpw.mods.fml.common.network.FMLPacket

      `makePacket, makePacketSet, readPacket`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entityId

          public int entityId

    - #### serverX

          public int serverX

    - #### serverY

          public int serverY

    - #### serverZ

          public int serverZ

  - ### Constructor Detail

    - #### EntitySpawnAdjustmentPacket

          public EntitySpawnAdjustmentPacket()

  - ### Method Detail

    - #### generatePacket

          public byte[] generatePacket(Object... data)

      Specified by:
        `generatePacket` in class `FMLPacket`

    - #### consumePacket

          public FMLPacket consumePacket(byte[] data)

      Specified by:
        `consumePacket` in class `FMLPacket`

    - #### execute

          public void execute(INetworkManager network,
                     FMLNetworkHandler handler,
                     NetHandler netHandler,
                     String userName)

      Specified by:
        `execute` in class `FMLPacket`